{% extends '::custom_layout.html.twig' %}



{% block content %}

    <div class="row">

    <div class="col-md-4">
    <canvas id="canvas" width="200" height="200">

    </canvas>
    </div>
    </div>

{% endblock %}
        {% block javascripts %}
            <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.min.js"></script>
<script>
    window.onload =  init;
    function init(){
        var canvas, context;
        canvas = document.getElementById('canvas');
        context = canvas.getContext('2d');

        context.canvas.width = 50;
        context.canvas.height = 80;
        var d={{ datas }};
        var data = {
            labels: ['a', 'a'], //x-axis
            datasets: [
                {
                    label: "Products dataset", //optional
                    fillColor: "rgba(220,220,220,0.8)",
                    strokeColor: "rgba(220,220,220,0.8)",
                    highlightFill: "rgba(220,220,220,0.75)",
                    highlightStroke: "rgba(220,220,220,1)",
                    data: d // y-axis
                }

            ]
        };

        var myFirstChart = new Chart(context,{
            type: 'pie',
            data: data,
        });
    }

  /*  var c = document.getElementById("mycanvas");
    var chrt = c.getContext("webgl");
    var myarr = [65, 59, 80, 81, 56, 55, 40];
    var data = {
        labels: ["January", "February", "March", "April", "May", "June", "July"], //x-axis
    datasets: [
        {
            label: "My First dataset", //optional
            fillColor: "rgba(220,220,220,0.8)",
            strokeColor: "rgba(220,220,220,0.8)",
            highlightFill: "rgba(220,220,220,0.75)",
            highlightStroke: "rgba(220,220,220,1)",
            data: [65, 59, 80, 81, 56, 55, 40] // y-axis
        }

    ]
    };

    var myFirstChart = new Chart(chrt).Bar(data);*/
</script>
{% endblock %}